Bug 6702 - email application does not see folders on imap4 with namespace
: email application does not see folders on imap4 with namespace
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-08 05:00 UTC by Kasper Sandberg
Modified: 2010-03-15 20:56 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kasper Sandberg (reporter) 2009-12-08 05:00:26 UTC
SOFTWARE VERSION:
as specified in bug

EXACT STEPS LEADING TO PROBLEM: 
setup an imap4 account where the folders are located inside a namespace, like
"INBOX." (which is the case with most imap providers!!) and watch it fail

EXPECTED OUTCOME:
i see the folders

ACTUAL OUTCOME:
i do not see the folders

REPRODUCIBILITY:
always

OTHER COMMENTS:
tested against both dovecot-imapd and courier-imapd, if required, i can make a
test account available for you.
Comment 1 Kasper Sandberg (reporter) 2009-12-08 05:09:42 UTC
sorry, forgot to set Maemo/N900
Comment 2 Andre Klapper maemo.org 2009-12-08 15:03:57 UTC
PELASE READ https://bugs.maemo.org/page.cgi?id=fields.html .

So is Nokia Messaging Service used here at all?
Asking because the steps to reproduce are vague and you set this component.
What kind of IMAP account - a private one?
Comment 3 Kasper Sandberg (reporter) 2009-12-08 16:41:42 UTC
i was unsure about the component.

im by no means an expert, but its just a standard imap account for accessing
mail, this is the dovecot configuration for the namespace:

namespace private {
        prefix = INBOX.
        inbox = yes
}

courier-imapd was default config, it does this by default.
Comment 4 Andre Klapper maemo.org 2009-12-14 19:14:43 UTC
(In reply to comment #0)
> OTHER COMMENTS:
> tested against both dovecot-imapd and courier-imapd, if required, i can make a
> test account available for you.

That would be very welcome!
Comment 5 Kasper Sandberg (reporter) 2009-12-14 20:50:35 UTC
okay, i will make the account, but for security reasons i will not post it
publicly here, should i send the detail to the email bugzilla has on you?
Comment 6 Andre Klapper maemo.org 2009-12-14 23:10:20 UTC
yeah, welcome!
Comment 7 Sergio Villar Senin 2010-01-28 20:21:14 UTC
(In reply to comment #6)
> yeah, welcome!
> 

Andre could you share credentials with me in order to debug the issue?
Comment 8 Emil Andersson 2010-02-04 21:06:00 UTC
I can confirm this issue. We are using N900s in a corporate environment where
we do much tech-support. We sort mail into folders with namespace like
INBOX.support, INBOX.billing, etc. We can all only access the inbox, not the
subfolders. This results in us not being able to access 90% of our mail
(everything that is filtered is inaccessible). This is a dealbreaker for us, we
need to look for another email client if we want to continue using n900. 

Does anyone want a testaccount setup so that it produces the bug? Drop me an
email.
Comment 9 Andre Klapper maemo.org 2010-02-04 21:35:19 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > yeah, welcome!
> > 
> 
> Andre could you share credentials with me in order to debug the issue?

I simply cannot find Kasper's email in my Inbox.

Yeah, sending a test account to Sergio and me is highly welcome!
Comment 10 Emil Andersson 2010-02-05 00:07:08 UTC
It's sent. If anyone else wants the information, please email me. I set
everything up when i configured the emailaccount and the bug appeared again.
Comment 11 Sergio Villar Senin 2010-02-05 11:29:25 UTC
I can confirm that I can see all the hierarchy of folders with the current
tinymail code. Fixes added for other namespace bugs also fixed this one.

Thx for reporting!!!

You'll get the fix with the next software update
Comment 12 Emil Andersson 2010-02-17 12:23:07 UTC
A new update came and I installed it yesterday. It did not fix this bug.
Comment 13 Sergio Villar Senin 2010-02-17 12:33:30 UTC
(In reply to comment #12)
> A new update came and I installed it yesterday. It did not fix this bug.
> 

That update didn't update anything related to modest/tinymail. Wait for the
major update
Comment 14 Andre Klapper maemo.org 2010-03-15 20:56:23 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).